Register the number
curl --request POST \
--url https://lazyapp.in/v1/connections/{connection}/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pin": "212834"
}
'import requests
url = "https://lazyapp.in/v1/connections/{connection}/register"
payload = { "pin": "212834" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pin: '212834'})
};
fetch('https://lazyapp.in/v1/connections/{connection}/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/connections/{connection}/register",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pin' => '212834'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/connections/{connection}/register"
payload := strings.NewReader("{\n \"pin\": \"212834\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/connections/{connection}/register")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pin\": \"212834\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/connections/{connection}/register")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pin\": \"212834\"\n}"
response = http.request(request)
puts response.read_body{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number_id": "106540352242922",
"display_phone_number": "+919812345670",
"verified_name": "<string>",
"waba_id": "<string>",
"messaging_account_id": "<string>",
"mode": "live",
"is_default": true,
"status": "active",
"connected_via": "embedded_signup",
"coexistence": true,
"quality_rating": "GREEN",
"messaging_limit": "TIER_2K",
"throughput_level": "STANDARD",
"code_verification_status": "VERIFIED",
"registration_status": "registered",
"two_step_pin_set": true,
"marketing_messages_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>"
}{
"code": "meta_rejected",
"message": "This number was registered or deregistered too many times. Meta blocks further attempts for 72 hours.",
"meta": {
"code": 133016,
"message": "<string>",
"fbtrace_id": "<string>"
}
}Connections
Register the number
Registers the number on the Cloud API with its two-step PIN (or sets a new PIN on a number that has none). Also required after Meta approves a new display name. Meta allows 10 register or deregister calls per number in 72 hours.
Required scope: connections:write
POST
/
v1
/
connections
/
{connection}
/
register
Register the number
curl --request POST \
--url https://lazyapp.in/v1/connections/{connection}/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pin": "212834"
}
'import requests
url = "https://lazyapp.in/v1/connections/{connection}/register"
payload = { "pin": "212834" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pin: '212834'})
};
fetch('https://lazyapp.in/v1/connections/{connection}/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/connections/{connection}/register",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pin' => '212834'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/connections/{connection}/register"
payload := strings.NewReader("{\n \"pin\": \"212834\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/connections/{connection}/register")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pin\": \"212834\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/connections/{connection}/register")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pin\": \"212834\"\n}"
response = http.request(request)
puts response.read_body{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number_id": "106540352242922",
"display_phone_number": "+919812345670",
"verified_name": "<string>",
"waba_id": "<string>",
"messaging_account_id": "<string>",
"mode": "live",
"is_default": true,
"status": "active",
"connected_via": "embedded_signup",
"coexistence": true,
"quality_rating": "GREEN",
"messaging_limit": "TIER_2K",
"throughput_level": "STANDARD",
"code_verification_status": "VERIFIED",
"registration_status": "registered",
"two_step_pin_set": true,
"marketing_messages_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>"
}{
"code": "meta_rejected",
"message": "This number was registered or deregistered too many times. Meta blocks further attempts for 72 hours.",
"meta": {
"code": 133016,
"message": "<string>",
"fbtrace_id": "<string>"
}
}Authorizations
Your API key, e.g. sk_live_... or sk_test_....
Path Parameters
The connection uuid.
Body
application/json
Pattern:
^\d{6}$Example:
"212834"
Response
Registered.
Example:
"106540352242922"
Example:
"+919812345670"
Display name customers see.
WhatsApp Business Account (Meta’s Messaging account) id.
Available options:
live, test Available options:
active, attention_required, disconnected, revoked, phone_registration_pending, signup_started, code_exchange_pending, asset_discovery, webhook_subscription_pending, authorization_received, draft Available options:
embedded_signup, manual, platform_sync, platform_claim, null Also used in the WhatsApp Business app (fixed 20 messages a second).
Example:
"GREEN"
Shared by every number in the business portfolio.
Example:
"TIER_2K"
Example:
"STANDARD"
Example:
"VERIFIED"
Available options:
registered, deregistered, pending, null